#!/usr/bin/env python
# -*- coding: utf-8 -*-

import setuptools
import Django2HeChannel2ShijianJiaochengJifan
import os
from os import path

with open("README.md", "r", encoding="utf-8") as fh:
    long_description = fh.read()

for subdir, _, _ in os.walk('Django2HeChannel2ShijianJiaochengJifan'):
    fname = path.join(subdir, '__init__.py')
    open(fname, 'a').close()
    
setuptools.setup(
    name="django2-he-channel2-shijian-jiaocheng-jifan",
    version=Django2HeChannel2ShijianJiaochengJifan.__version__,
    url="https://github.com/apachecn/django2-he-channel2-shijian-jiaocheng-jifan",
    author=Django2HeChannel2ShijianJiaochengJifan.__author__,
    author_email=Django2HeChannel2ShijianJiaochengJifan.__email__,
    classifiers=[
        "Development Status :: 4 - Beta",
        "Environment :: Console",
        "Intended Audience :: Developers",
        "Intended Audience :: End Users/Desktop",
        "License :: Other/Proprietary License",
        "Natural Language :: Chinese (Simplified)",
        "Natural Language :: English",
        "Operating System :: OS Independent",
        "Programming Language :: Python :: 3",
        "Programming Language :: Python :: 3 :: Only",
        "Programming Language :: Python :: 3.6",
        "Programming Language :: Python :: 3.7",
        "Topic :: Text Processing :: Markup :: Markdown",
        "Topic :: Text Processing :: Markup :: HTML",
        "Topic :: Internet :: WWW/HTTP",
        "Topic :: Software Development :: Documentation",
        "Topic :: Documentation",
    ],
    description="Django2 和 Channel2 实践教程（机翻）",
    long_description=long_description,
    long_description_content_type="text/markdown",
    keywords=[],
    install_requires=[],
    python_requires=">=3.6",
    entry_points={
        'console_scripts': [
            "django2-he-channel2-shijian-jiaocheng-jifan=Django2HeChannel2ShijianJiaochengJifan.__main__:main",
            "Django2HeChannel2ShijianJiaochengJifan=Django2HeChannel2ShijianJiaochengJifan.__main__:main",
        ],
    },
    packages=setuptools.find_packages(),
    package_data={'': ['*']},
)
